Bug Hunting Session
Bug 126271 - Selecting of control points of curves not working correctly for combined polygons
Summary: Selecting of control points of curves not working correctly for combined poly...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.2.7 target:6.3.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-07-07 19:11 UTC by Michael Köster
Modified: 2019-09-02 06:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Picture showing the problem (25.98 KB, image/png)
2019-07-07 19:17 UTC, Michael Köster
Details
Video showing the problem (7.23 MB, video/x-flv)
2019-08-19 18:55 UTC, Michael Köster
Details
Info window of LibreDraw (41.39 KB, image/png)
2019-08-19 18:56 UTC, Michael Köster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Köster 2019-07-07 19:11:48 UTC
Description:
Bending of curves on combined polygons does not work. If two polygons are combined and a curve is tried to be bended, Draw sometimes bends a curve of the wrong polygon.

This problem refers to:

Version: 6.2.5.2 (x64)
Build-ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159


Steps to Reproduce:
- Create two filled polygons, partially overlaying each other.
- Combine the polygons.
- Use the "Points" tool and select one of the vertices of the "2nd" polygons. Apply "Convert to curve" to convert the segment following the point to a curve.
- Try to bend the curve. Click on the corresponding control point and try to move it.


Actual Results:
You can rather not select that control point. Instead, Draw selects either a vertex or a control point of the "1st" polygon, and moves it to the mouse position.

Expected Results:
The control point clicked on by the mouse should be selected, allowing the user to bend the curve.


Reproducible: Always


User Profile Reset: No



Additional Info:
Looks like this happens for the 2nd of the two polygons, the one that was drawn just before the two objects were combined. This indicates that a kind of index of the polygon is mistaken. Clicking on a control point on the 2nd polygon selects the corresponding control point on the 1st polygon (according to the index of the corresponding vertex). If the line segment on the 1st polygon is not a curve, it selects the vertex following the vertex with the same index as the one clicked on on the 2nd polygon.
Comment 1 Michael Köster 2019-07-07 19:17:03 UTC
Created attachment 152627 [details]
Picture showing the problem
Comment 2 Xisco Faulí 2019-07-31 11:01:35 UTC
@Regina, I thought you might be interested in this issue...
Comment 3 Regina Henschel 2019-07-31 12:01:34 UTC
Yes, the wrong point is effected by dragging the control handle.

OK
Version: 6.2.0.0.alpha1+ (x64)
Build ID: bf4fc97131147d25b18d088023262c977f0b2787
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-10_01:58:33
Locale: de-DE (en_US); UI-Language: en-US
Calc: CL

FAIL (2018-12-20)
Version: 6.2.0.1 (x64)
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

I haven't got versions between them to test.
Comment 4 Xisco Faulí 2019-07-31 12:04:31 UTC
Hi Regina,
I can bisect it, could you just attach a file to reproduce it ?
Comment 5 Xisco Faulí 2019-08-05 14:10:45 UTC
Hi Michael Köster,  Regina Henschel,
I'm not really familiar with draw, points, etc...
Could you please record a screencast showing the problem? it can help me to bisect this problem.
Thanks in advance
Comment 6 Michael Köster 2019-08-19 18:55:41 UTC
Created attachment 153516 [details]
Video showing the problem
Comment 7 Michael Köster 2019-08-19 18:56:02 UTC
Created attachment 153517 [details]
Info window of LibreDraw
Comment 8 Michael Köster 2019-08-19 18:57:38 UTC
Hi Xisco Fauli,

sorry for the late response, I was in vacation. I added a video that shows the problem.

In case you have problems reading it, let me know the file format you wish it to have.

Regards,

  Michael
Comment 9 Xisco Faulí 2019-08-20 11:32:33 UTC
Hello Michael,
Thanks for the video. It was very helpful.

Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=26001f4f84b0d921c8612d888856613735ba5314

author	Regina Henschel <rb.henschel@t-online.de>	2018-11-07 17:25:32 +0100
committer	Regina Henschel <rb.henschel@t-online.de>	2018-11-10 12:53:23 +0100
commit	26001f4f84b0d921c8612d888856613735ba5314 (patch)
tree	82998d77fb4caacfca3d61341bb83a65d26c6583
parent	065edb4c8e91170017df482843d0c3eb8d4db114 (diff)
tdf120965 Simplify SdrPathObj::AddToHdlList()

Bisected with: bibisect-linux64-6.2

Adding Cc: to Regina Henschel
Comment 10 Regina Henschel 2019-08-21 12:48:42 UTC
I'll revert that patch. It was only cosmetic anyway. But it will take some time.
Comment 11 Commit Notification 2019-08-21 18:51:30 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/59189f3e02acbdf4e5bbd35fc278252b30022f43%5E%21

tdf#126271 Revert "tdf120965 Simplify SdrPathObj::AddToHdlList()"

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2019-08-22 14:36:40 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/6f9e19c85ffc290e600084b33d9a929db28c144d%5E%21

tdf#126271 Revert "tdf120965 Simplify SdrPathObj::AddToHdlList()"

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2019-08-22 18:40:13 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/46c7341014870b4d2c9babd91c14dfed4422f93a%5E%21

tdf#126271 Revert "tdf120965 Simplify SdrPathObj::AddToHdlList()"

It will be available in 6.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-08-23 18:38:34 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-1":

https://git.libreoffice.org/core/+/7bdaab829a4e17eabba0559cf9a4ac62bd7a6fbe%5E%21

tdf#126271 Revert "tdf120965 Simplify SdrPathObj::AddToHdlList()"

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Xisco Faulí 2019-09-02 06:32:59 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 41cd3e8e817c8c33a13608e62eeb06ce2c6977e4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Regina, thanks for taking care!